Index: src/main/java/edu/gjoko/schedlr/services/BusinessService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -1,10 +1,11 @@
 package edu.gjoko.schedlr.services;
 
-import edu.gjoko.schedlr.entity.*;
-import edu.gjoko.schedlr.repositories.*;
+import edu.gjoko.schedlr.entity.Business;
+import edu.gjoko.schedlr.entity.Stakeholder;
+import edu.gjoko.schedlr.entity.StakeholderType;
+import edu.gjoko.schedlr.repositories.BusinessRepository;
 import lombok.AllArgsConstructor;
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.stereotype.Service;
-import org.springframework.util.CollectionUtils;
 
 import java.util.List;
@@ -18,13 +19,10 @@
 
     private final BusinessRepository businessRepository;
-    private final ServiceTypeRepository serviceTypeRepository;
-    private final ServiceRepository serviceRepository;
+    private final ServicesService servicesService;
     private final StakeholderService stakeholderService;
-
-    private final StakeholderRepository stakeholderRepository;
     private BCryptPasswordEncoder bCryptPasswordEncoder;
 
     public void saveBusiness(Business business) {
-        saveNewServiceTypes(business);
+        servicesService.saveNewServiceTypes(business);
         business.getOwner().setStakeholderType(StakeholderType.BUSINESS_OWNER);
         business.getOwner().setPassword(bCryptPasswordEncoder.encode(business.getOwner().getPassword()));
@@ -33,27 +31,23 @@
     }
 
-    public void saveNewServiceTypes(Business business) {
-        business.getServices()
-                .stream()
-                .forEach(service -> {
-                    if (service.getServiceType().getId() == null) {
-                        ServiceType serviceType = service.getServiceType();
-                        serviceType.setBusinessType(business.getBusinessType());
-                        service.setServiceType(serviceTypeRepository.save(serviceType));
-                    }
-                });
-    }
-
     public List<Business> findAll() {
         return businessRepository.findAll();
     }
 
-    public void updateBusinesses(List<Business> businessList) {
+    public void updateBusinesses(List<Business> businessList, Long businessOwnerId) {
         businessList
                 .stream()
                 .forEach(business -> {
-                    stakeholderService.saveOrUpdateStakeholder(business.getOwner());
-                    saveOrUpdateServices(business.getServices());
-                    saveOrUpdateBusiness(business);
+                    stakeholderService.saveOrUpdateStakeholder(business.getOwner(), businessOwnerId);
+                });
+    }
+
+    public void updateBusinessStatuses(List<Business> businessList) {
+        businessList
+                .stream()
+                .forEach(business -> {
+                    Business business1 = businessRepository.findById(business.getId()).get();
+                    business1.setBusinessStatus(business.getBusinessStatus());
+                    businessRepository.save(business1);
                 });
     }
@@ -68,25 +62,3 @@
         return businessRepository.findBusinessesByBusinessStatusAndBusinessType_Id(ACTIVE, businessTypeId);
     }
-
-
-
-    private void saveOrUpdateBusiness(Business business) {
-        if (business.getId() != null) {
-            var foundBusinessEntity = businessRepository.findById(business.getId());
-            business.setCreated(foundBusinessEntity.get().getCreated());
-        }
-        businessRepository.save(business);
-    }
-
-    private void saveOrUpdateServices(List<edu.gjoko.schedlr.entity.Service> serviceList) {
-        if (!CollectionUtils.isEmpty(serviceList)) {
-            serviceList.forEach( service -> {
-                if (service.getId() != null) {
-                    var found = serviceRepository.findById(service.getId());
-                    service.setCreated(found.get().getCreated());
-                }
-            });
-            serviceRepository.saveAll(serviceList);
-        }
-    }
 }
Index: src/main/java/edu/gjoko/schedlr/services/ServicesService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/ServicesService.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
+++ src/main/java/edu/gjoko/schedlr/services/ServicesService.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -0,0 +1,72 @@
+package edu.gjoko.schedlr.services;
+
+import edu.gjoko.schedlr.entity.Business;
+import edu.gjoko.schedlr.entity.ServiceStatus;
+import edu.gjoko.schedlr.entity.ServiceType;
+import edu.gjoko.schedlr.repositories.BusinessRepository;
+import edu.gjoko.schedlr.repositories.BusinessTypeRepository;
+import edu.gjoko.schedlr.repositories.ServiceRepository;
+import edu.gjoko.schedlr.repositories.ServiceTypeRepository;
+import lombok.AllArgsConstructor;
+import org.springframework.stereotype.Service;
+import org.springframework.util.CollectionUtils;
+
+import javax.transaction.Transactional;
+import java.util.List;
+import java.util.Optional;
+
+@Service
+@AllArgsConstructor
+public class ServicesService {
+
+    private final ServiceRepository serviceRepository;
+    private final ServiceTypeRepository serviceTypeRepository;
+    private final BusinessRepository businessRepository;
+
+    @Transactional
+    public void deleteByIds(List<Long> ids) {
+        ids.forEach(this::deactivateService);
+    }
+
+    public void saveOrUpdateServices(List<edu.gjoko.schedlr.entity.Service> serviceList, Long ownerId) {
+        if (!CollectionUtils.isEmpty(serviceList)) {
+            serviceList.forEach( service -> {
+                Optional<edu.gjoko.schedlr.entity.Service> foundOptional;
+                if (service.getId() != null && (foundOptional = serviceRepository.findById(service.getId())).isPresent()) {
+                    var found = foundOptional.get();
+                    found.setDuration(service.getDuration());
+                    found.setPrice(service.getPrice());
+                    found.setServiceStatus(ServiceStatus.ACTIVE);
+                    serviceRepository.save(found);
+                } else {
+                    var business = businessRepository.findBusinessesByOwner_Id(ownerId);
+                    service.getServiceType().setBusinessType(business.getBusinessType());
+                    service.setServiceStatus(ServiceStatus.ACTIVE);
+                    service.setBusiness(business);
+                    serviceTypeRepository.save(service.getServiceType());
+                    serviceRepository.save(service);
+                }
+            });
+        }
+    }
+
+    public void saveNewServiceTypes(Business business) {
+        business.getServices()
+                .forEach(service -> {
+                    if (service.getServiceType().getId() == null) {
+                        ServiceType serviceType = service.getServiceType();
+                        serviceType.setBusinessType(business.getBusinessType());
+                        service.setServiceType(serviceTypeRepository.save(serviceType));
+                    }
+                });
+    }
+
+    private void deactivateService(Long id) {
+        Optional<edu.gjoko.schedlr.entity.Service> serviceOptional;
+        if((serviceOptional = serviceRepository.findById(id)).isPresent()) {
+            var service = serviceOptional.get();
+            service.setServiceStatus(ServiceStatus.INACTIVE);
+            serviceRepository.save(service);
+        }
+    }
+}
Index: src/main/java/edu/gjoko/schedlr/services/StakeholderService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/StakeholderService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/services/StakeholderService.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -4,25 +4,19 @@
 import edu.gjoko.schedlr.entity.StakeholderType;
 import edu.gjoko.schedlr.repositories.StakeholderRepository;
+import lombok.RequiredArgsConstructor;
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.stereotype.Service;
 
-import java.util.Optional;
-
 @Service
+@RequiredArgsConstructor
 public class StakeholderService {
 
-    private StakeholderRepository stakeholderRepository;
-    private BCryptPasswordEncoder bCryptPasswordEncoder;
+    private final StakeholderRepository stakeholderRepository;
+    private final BCryptPasswordEncoder bCryptPasswordEncoder;
 
-    public StakeholderService(StakeholderRepository stakeholderRepository,
-                              BCryptPasswordEncoder bCryptPasswordEncoder) {
-        this.stakeholderRepository = stakeholderRepository;
-        this.bCryptPasswordEncoder = bCryptPasswordEncoder;
-    }
-
-    public Stakeholder saveStakeholder(Stakeholder stakeholder) {
+    public void saveStakeholder(Stakeholder stakeholder) {
         stakeholder.setPassword(bCryptPasswordEncoder.encode(stakeholder.getPassword()));
         stakeholder.setStakeholderType(StakeholderType.CUSTOMER);
-        return stakeholderRepository.save(stakeholder);
+        stakeholderRepository.save(stakeholder);
     }
 
@@ -31,14 +25,12 @@
     }
 
-    public void saveOrUpdateStakeholder(Stakeholder stakeholder) {
-        if (stakeholder.getId() != null) {
-            var found = stakeholderRepository.findById(stakeholder.getId()).get();
-            found.setFirstName(stakeholder.getFirstName());
-            found.setLastName(stakeholder.getLastName());
-            found.setPhoneNumber(stakeholder.getPhoneNumber());
-            found.setEmail(stakeholder.getEmail());
-            found.setUsername(stakeholder.getUsername());
-            stakeholderRepository.save(found);
-        }
+    public void saveOrUpdateStakeholder(Stakeholder stakeholder, Long businessOwnerId) {
+        var found = stakeholderRepository.findById(businessOwnerId).get();
+        found.setFirstName(stakeholder.getFirstName());
+        found.setLastName(stakeholder.getLastName());
+        found.setPhoneNumber(stakeholder.getPhoneNumber());
+        found.setEmail(stakeholder.getEmail());
+        found.setUsername(stakeholder.getUsername());
+        stakeholderRepository.save(found);
     }
 }
